
QGIS Application - Bug report #5151

OSGEO4W_ROOT not set correctly in Windows 2000

2012-03-10 07:44 AM - Steve Hartley

Status: Closed

Priority: Normal

Assignee:

Category: Build/Install

Affected QGIS version:1.7.4 Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied:No Resolution: upstream

Crashes QGIS or corrupts data:No Copied to github as #: 14903

Description

Installing 1.7.4 using the standalone puts the .dll files into C:\\Program Files\\QuantumGISWroclaw\\bin but the program expects them in

C:\\Program Files\\QuantumGISWroclaw\\apps\\qgis\\bin.  I tried copying them across but the GUI didn't appear after the startup picture

closed.

Installing 1.7.4 using the OSGeo4W Installer puts qgis.exe in C:\\OSGeo4W\\apps\\qgis\\bin but the batch (opening the shortcut) expexts

it in C:\\OSGeo4W\\bin\\apps\\qgis\\bin.  Opening qgis.exe from within its directory reveals that the .dll files are again not where expected

and the prog fails to open.

Related issues:

Duplicated by QGIS Application - Bug report # 5757: qgis 1.7.4 won't work on ... Closed 2012-06-07

History

#1 - 2012-03-10 10:12 AM - Jürgen Fischer

- Crashes QGIS or corrupts data changed from Yes to No

- Status changed from Open to Feedback

- Priority changed from 6 to Normal

The standalone installer is based on the OSGeo4W packages, so the file layout is the same.   QGIS is started with the batch file in bin, starting the qgis.exe

directly isn't supported.

I can't reproduce the problem that the batch file (which is created from qgis.bat.tmpl on install) expects qgis.exe in anything else but apps\\qgis\\bin.

#2 - 2012-03-15 03:34 AM - Steve Hartley

qgis.bat (in C:\\OSGeo4W\\bin) sets the root dir to C:\\OSGeo4W, but then calls o4w_env.bat (also in C:\\OSGeo4W\\bin) which resets the root dir to the

current dir (C:\\OSGeo4W\\bin).  Hence thereafter when qgis.bat calls OSGEO4W_ROOT\\apps\\qgis\\bin it tries to reach

C:\\OSGeo4W\\bin\\apps\\qgis\\bin, which doesn't exist.  qgis.exe is then expected in the non-existent bin\\apps\\qgis\\bin, not in apps\\qgis\\bin.  I tried

remarking out the line calling o4w_env.bat, but that leads to the dll files being expected in apps\\qgis\\bin, when most of them have been installed in \\bin

#3 - 2012-03-15 03:37 AM - Steve Hartley

Forgot to say, I now get the same problem installing trunk, but haven't had this problem installing previous (1.7.3 & before) versions, or indeed installing

previous versions of trunk in the past.

#4 - 2012-03-15 04:32 AM - Jürgen Fischer
Steve Hartley wrote:

qgis.bat (in C:\\OSGeo4W\\bin) sets the root dir to C:\\OSGeo4W, but then calls o4w_env.bat (also in C:\\OSGeo4W\\bin) which resets the root dir to

the current dir (C:\\OSGeo4W\\bin).

Here o4w_env.bat reads

...

pushd %~dp0\\..

set OSGEO4W_ROOT=%cd%

...

which sets OSGEO4W_ROOT to the directory above bin - which is correct.  When you start the OSGeo4W Shell it should even echo "OSGeo4W home is

C:\\OSGeo4W".  What output do you get?

#5 - 2012-03-15 05:13 AM - Steve Hartley

Sorry - my programming ignorance.  I thought cd meant the current dir.

When I open qgis.bat I get the echo:

OSGEO4W home is C:\\OSGeo4W\\bin

 The system cannot find the path specified

and a windows error screen C:|OSGeo4W\\bin\\apps\\qgis\\bin\\qgis.exe with

Cannot find the file 'C:\\OSGeo4W\\bin\\apps\\qgis\\bin\\qgis.exe' (or one of its

 components).  Make sure the path & filename are correct & that all required

 libraries are available.

not surprising since C:\\OSGeo4W\\bin contains a folder \\gdalplugins and a lot of .dll, .py, .bat & .exe files, but no \\apps folder.

qgis.exe has been installed in C:\\OSGeo4W\\apps\\qgis\\bin\\qgis.exe, so the installed folder & file structure doesn't match the expected one.

#6 - 2012-03-15 05:31 AM - Jürgen Fischer

Steve Hartley wrote:

Sorry - my programming ignorance.  I thought cd meant the current dir.

When I open qgis.bat I get the echo:

OSGEO4W home is C:\\OSGeo4W\\bin

The system cannot find the path specified

Then Windows 2000's cmd.exe apparently doesn't understand pushd %~dp0\\...  Replacing

pushd %~dp0\\..

set OSGEO4W_ROOT=%cd

with
pushd %~dp0

cd ..

set OSGEO4W_ROOT=%cd%

might help.  Not sure if OSGeo4W bothers to fix that, Windows 2000 is ooold.

#7 - 2012-03-15 05:33 AM - Jürgen Fischer

- Subject changed from Installation of 1.7.4 puts files in wrong directories to OSGEO4W_ROOT not set correctly in Windows 2000

#8 - 2012-03-15 09:17 AM - Steve Hartley

Success! Your suggestion works.  Thank you for helping me to continue to run the very very ancient Windows 2000.

#9 - 2012-03-15 09:28 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to upstream

#10 - 2012-06-07 05:37 AM - Nebojša Tanasković

Can you upload your qgis.bat which works, please

#11 - 2012-06-07 07:56 AM - Steve Hartley

- File o4w_env.bat added

I had to modify o4w_env.bat (attached) in C:\\OSGeo4W\\bin, not qgis.bat

#12 - 2012-06-08 12:40 AM - Nebojša Tanasković

- File sqlite_error.bmp added

next error- see attachment

The procedure entry point sqlite3_open_v2 could not be located in dynamic kink library sqlite3.dll

????

#13 - 2012-06-08 12:55 AM - Jürgen Fischer

see also OSGeo4W !#276

Current OSGeo4W should already contain the modified batch file.

Files

o4w_env.bat 310 Bytes 2012-06-07 Steve Hartley

sqlite_error.bmp 2.25 MB 2012-06-07 Nebojša Tanasković
http://trac.osgeo.org/osgeo4w/ticket/276

